const preambles = {
  'extended-player-profile': `// ==UserScript==
// @name         Extended player profile
// @version      1.0.0
// @description  Adds additional info and actions to a player's profile.
// @author       Dawid Wysokiński - Kichiyaki - contact@dwysokinski.me
// @match        https://*/game.php?*screen=info_player*
// @downloadURL  ${process.env.PUBLIC_URL}/userscripts/extendedPlayerProfile.js
// @updateURL    ${process.env.PUBLIC_URL}/userscripts/extendedPlayerProfile.js
// @icon         https://www.google.com/s2/favicons?domain=plemiona.pl
// @grant        none
// @run-at       document-end
// ==/UserScript==`,
};

const preamble = preambles[process.env.PREAMBLE];
module.exports = preamble
  ? {
      output: {
        preamble: preamble,
      },
    }
  : {};
